import { savePosts, getPostsDetail, updatePosts } from "@/services/posts";
import {
  addBanner,
  getBannerdById,
  updataBanner,
} from "@/services/rotationChart";
import { useNavigate, useSearchParams } from "react-router-dom";
import { Card, Typography, message, Row, Button, Space } from "antd";
import { useEffect, useRef, useState } from "react";

const { Title } = Typography;
export default (props) => {
  const [searchParams] = useSearchParams();
  const id = searchParams.get("id");
  const [data, setData] = useState({});
  // const [url, setUrl] = useState("");
  const navigate = useNavigate();

  const formRef = useRef();

  useEffect(() => {
    if (id) {
      getBannerdById(id).then((res) => {
        setData(res);
        // setUrl(res.filesList[0]?.fileAddr);
      });
    }
  }, [id]);

  return (
    <Card title={<Button onClick={() => navigate(-1)}> 返回</Button>}>
      <div dangerouslySetInnerHTML={{ __html: data?.desc }}></div>
      {data?.type === "1" && data?.image && (
        <img src={data?.image} alt=""></img>
      )}
      {data?.type === "2" && data?.video && (
        <video src={data?.video} autoPlay={false} controls="controls"></video>
      )}
      {/* {url && (
        <div style={{marginTop:"2em"}}>
          <a
            href={`${url}`}
            download
          >
            {url?.substring(url?.lastIndexOf("/") + 1)}
          </a>
        </div>
      )} */}
    </Card>
  );
};
